import request from '@/utils/request'

// 资金一张图-左上-货币资金分析
export function lefttopMonetaryFundAnalysis (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/hbzjfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-左中-资金收入分析(类型)
export function leftbottomcapitalgainstype (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/zjsrlxfx',
    method: 'get',
    params: query
  })
}
// 资金一张图-左中-资金收入分析(趋势)
export function leftbottomcapitalgainstrend (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/zjsrqsfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-左下-资金支出分析(类型)
export function analysisOfCapitalExpenditureType (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/zjzhclxfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-左中-资金支出分析(趋势)
export function analysisOfCapitalExpenditureRend (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/zjzhcqsfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-右上-资产负债分析
export function assetLiabilityAnalysis (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/zcfzfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-右中-资金收入排名
export function rankingOfFundIncome (deptId, year, num) {
  let query = {
    deptId,
    year,
    num
  }
  return request({
    url: 'api/home/xixia/finance/zjsrpm',
    method: 'get',
    params: query
  })
}

// 资金一张图-右下-资金支出排名
export function rankingOfCapitalExpenditure (deptId, year, num) {
  let query = {
    deptId,
    year,
    num
  }
  return request({
    url: 'api/home/xixia/finance/zjzhcpm',
    method: 'get',
    params: query
  })
}

// 资金一张图-中下-固定项目的金额指标
export function fixedProjectAmountIndicator (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/finance/srzhcjezb',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-左上-资金支出大额预警分析
export function analysisOfLargeFundExpenditureWarning (deptId, year) {
  let query = {
    deptId,
    year,
    voucherAmountMin: 10000
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjzcdeyjfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-左上点击-资金支出大额预警列表(分页)
export function financeWarningZjzcdeyjList (deptId, year) {
  let query = {
    deptId,
    year,
    voucherAmountMin: 10000
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjzcdeyjList',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-左中点击-资金往来敏感词预警列表(分页)
export function financeWarningZjwlmgcyjList (deptId, year) {
  let query = {
    deptId,
    year,
    voucherAmountMin: 10000
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjwlmgcyjList',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-左下点击-资金往来不规范预警列表(分页)
export function financeWarningZjwlbgfyjList (deptId, year) {
  let query = {
    deptId,
    year,
    voucherAmountMin: 10000
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjwlbgfyjList',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-左下-资金往来不规范预警分析
export function warninganalysisofnonstandardfund (deptId, year) {
  let query = {
    deptId,
    year,
    voucherAmountMin: 10000
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjwlbgfyjfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-右上-资金支出大额预警排名
export function rankingOfLargeFundExpenditureWarning (deptId, year) {
  let query = {
    deptId,
    year,
    voucherAmountMin: 10000
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjzcdeyjpm',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-右下-资金往来不规范预警排名
export function rankingOfNonStandardFundTransactionsWarning (deptId, year, type) {
  let query = {
    deptId,
    year,
    type
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjwlbgfyjpm',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-左中-资金往来敏感词预警分析
export function analysisSensitiveWarningForFundTransactions (deptId, year, type) {
  let query = {
    deptId,
    year,
    type
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjwlmgcyjfx',
    method: 'get',
    params: query
  })
}

// 资金一张图-预警分析-右中-资金往来敏感词预警排名
export function RankingSensitiveWordWarningFundTransactions (deptId, year, type) {
  let query = {
    deptId,
    year,
    type
  }
  return request({
    url: 'api/home/xixia/financeWarning/zjwlmgcyjpm',
    method: 'get',
    params: query
  })
}
